///////////////////////////////////////////
//this function loads evaluation function parameters 
//from (9) files
///////////////////////////////////////////
bool LoadParameters(void);


///////////////////////////////////////////
//this function creates a random set of parameters for POP individuals
//(was used in testing)
///////////////////////////////////////////
void CreateParameters(void);


///////////////////////////////////////////
//this function shows evaluation function parameters
///////////////////////////////////////////
void ShowParameters(void);


///////////////////////////////////////////
//this function creates new generation
//and writes it to NewChromosome
///////////////////////////////////////////
void MakeNewGeneration(void);


///////////////////////////////////////////
//this function selects pairs for the crossover
///////////////////////////////////////////
void MakeSelection(void);


///////////////////////////////////////////
//this function performs the crossover
//(see thesis for the description)
///////////////////////////////////////////
void Crossover(void);


///////////////////////////////////////////
//this function performs the mutation of a parameter
///////////////////////////////////////////
int Mutate (int j);


///////////////////////////////////////////
//this function provides the mutation
//(see thesis for the description)
///////////////////////////////////////////
void Mutation(void);


///////////////////////////////////////////
//auxiliry function
//returns the maximal possible value of a given parameter
//assumes correct input, i.e. 0 <= j =< 25
///////////////////////////////////////////
int LocalMax(int j);


///////////////////////////////////////////
//auxiliry function
//returns the minimal possible value of a given parameter
//assumes correct input, i.e. 0 <= j =< 25
///////////////////////////////////////////
int LocalMin(int j);


///////////////////////////////////////////
//this function shows both old and new generations
///////////////////////////////////////////
void ShowNewGen(void);
